/*
 * Hamsam - Instant Messaging API
 * Copyright (C) 2003 Raghu K
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package gui;

import javax.swing.JPanel;
import javax.swing.JLabel;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import gui.tools.PropertiesManager;

/**
 * <p>Titre : Hamsam Project</p>
 * <p>Description : Instant Messenger</p>
 * <p>Copyright : Copyright (c) 2003</p>
 * <p>Societe : </p>
 * @author Frederic DIB
 * @version 0.1
 */

public class StatusBar
    extends JPanel {
  static final long serialVersionUID = -1929835320727004573L;
private PropertiesManager propertiesMgr = null;
  private JLabel statusLabel = null;

  public StatusBar(PropertiesManager p) {
    this.propertiesMgr = p;
    this.initStatusBar();
  }

  /**
   *
   */
  public void setStatus(String status) {
    statusLabel.setText(this.propertiesMgr.getValue("statusLabel")
                             + status);
  }

  /**
   * Init the status bar.
   */
  private void initStatusBar() {
    statusLabel = new JLabel(this.propertiesMgr.getValue("statusLabel")
                             + this.propertiesMgr.getValue("deconnected"));

    this.setLayout(new GridBagLayout());

    GridBagConstraints c = new GridBagConstraints();
    c.weightx = 1;
    c.anchor = GridBagConstraints.WEST;

    this.add(statusLabel, c);
  }
}
