/*
 * Hamsam - Instant Messaging API
 * Copyright (C) 2003 Raghu K
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package gui.tools;

import javax.swing.JOptionPane;
import javax.swing.JFrame;
import java.lang.Exception;

/**
 * <p>Titre : Hamsam Project</p>
 * <p>Description : Instant Messenger</p>
 * <p>Copyright : Copyright (c) 2003</p>
 * <p>Societe : </p>
 * @author Frederic DIB
 * @version 0.1
 */

public class Traces {
  private static boolean debug = true;

  /**
   * Constructor.
   * You needn't to call it.
   */
  private Traces() {}

  /**
   * Return true if traces are available.
   */
  public static boolean isPrintingTraces() {return debug;}

  /**
   * Enable or not traces.
   */
  public static void setPrintingTraces(boolean b) {debug = b;}

  /**
   * Print traces during the execution.
   * Depends on the "debug" attribute.
   */
  public static void printTraces(Object o) {
    if (debug) {
      System.out.println(o.toString());
    }
  }
  
  /**
   * Display an error window message.
   * @author Frederic
   */
  public static void printErrorMessage(Exception e, JFrame parent) {
  	if (debug) {
  		JOptionPane.showMessageDialog(parent,
                                      e.getMessage(),
									  "Error message",
									  JOptionPane.ERROR_MESSAGE);
  	}  		
  }
  
}
