/*
 * Hamsam - Instant Messaging API
 * Copyright (C) 2003 Raghu K
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package hamsam.exception;

/**
 * Signals that a method has been invoked at an illegal or inappropriate time.
 * In other words, the Hamsam API is not in an appropriate state for the requested
 * operation. 
 */
public class IllegalStateException extends HamsamException
{
	static final long serialVersionUID = -5195598651895051558L;

	/**
	 * Constructs an <code>IllegalStateException<code> with no detailed message.
	 */
	public IllegalStateException()
	{
		super();
	}

	/**
	 * Constructs an <code>IllegalStateException</code> with the specified detail
	 * message.
	 *
	 * @param message the detail message. The detail message is saved for later
	 *                retrieval by the Throwable.getMessage() method.
	 */
	public IllegalStateException(String message)
	{
		super(message);
	}
}
